Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 08/14/2020 in all areas

  1. DXF code 142 is a double precision floating point value. There is a problem on computers with calculated floating point values and unless the value entered into the ssget filter matches to objects value to 16 significant figures it is discarded. e.g. a circles radius is stored in dxf code 40. If you specify the radius in the filter as (40 . 1.5) it will discard a circle with a radius of 1.50000000000001 or 1.49999999999999 If you must use dxf code 142 then omit it from the initial filter and filter the selection set entities as you process them allowing you to use the (equal) function with a fuzz value
    1 point
  2. For sheep here is the formula for the length along the lines. Then use polar to work out the 2 points much easier than using xlines. Your on the right path with your code. (setq d2 (* (/ 1.0 (cos (- (/ pi 2.0) (/ ang 2.0)))) (/ dist 2.0))) ; d2 is dist along line ; ang is internal angle ; dist is chord length here is the get internal angle (command "dimangular" pt4 pt1 pt3) (setq ang (cdr (assoc 42 (entget (entlast))))) ; pt4 is end line1 ; pt1 is end line2 ; pt3 is mid point pt1 - pt4 (setq pt3 (mapcar '+ pt1 pt4) ) (setq pt3 (mapcar '(lambda (x) (/ x 2.0)) pt3)) Working on a better method of picking lines and getting direction away from intersection point, thanks Jonathon.
    1 point
  3. The house footprint IS close to the curb because Penn-Foster projects have no basis in reality. They are teaching the student how to use AutoCAD to create a drawing. They are not teaching civil engineering design. BTW...it is not referred to as a street; it's a driveway.
    1 point
  4. To be more specific, the direction vector is the difference in x y & z coords of a point 1 unit away from the initial point in the selected direction.
    1 point
  5. When you use bearings and distances for an area, you must know which point to start from. They are giving you the northeast corner as the starting point. From there you can draw the segments that represent the walls of the house. The other points (I believe) are to help you verify your corner points. When you draw the house outline, you'll start at the northwest corner (which you've already located with the 29° line). Give the next point as distance 42' at 73°SE. Because you know the dimensions of the house, draw the next segment with length 36' at an angle 90° from the previous segment. From there it's simple. You should wind up with a rectangle, and the corners should line up with the points you've already located. You may want to double-check the location of the "driveway's centerline." The northeast corner of the house is very close to the curb. Many jurisdictions have setback restrictions, i.e. a building must be placed outside a minimum distance from the road.
    1 point
  6. Doesn't AutoCAD 2014 have constraints, with construction lines drawn at 155 and 215, then constrain the corners to those horizontal/vertical construction lines. I don't have constraints in LT but Fusion 360 made a quick job of this.
    1 point
  7. @Quest for Peace Here's a quick example using lines that does not rely on using osnaps .. maybe food for thought (defun c:foo (/ _srt p1 p2 s) (defun _srt (p l) (car (vl-sort l '(lambda (r j) (< (distance p r) (distance p j)))))) (if (and (setq s (ssget "_A" '((0 . "circle")))) (setq s (mapcar '(lambda (x) (cdr (assoc 10 (entget x)))) (mapcar 'cadr (ssnamex s)))) ) (while (and (or p1 (setq p1 (getpoint "\nSpecify start point: "))) (setq p2 (getpoint p1 "\nSpecify next point: ")) ) (entmakex (list '(0 . "line") (cons 10 (setq p1 (_srt p1 s))) (cons 11 (setq p2 (_srt p2 s)))) ) (setq p1 p2) ) ) (princ) )
    1 point
  8. Hi, I guess this is enough. (defun c:foo (/ l n e) (while (setq l (tblnext "LAYER" (not l))) (and (wcmatch (setq n (cdr (assoc 2 l))) "*XLINE*") (entmod (append (setq e (entget (tblobjname "LAYER" n))) (list (cons 62 (- (cdr (assoc 62 e))))))) ) ) (princ) )
    1 point
  9. Sometime the brain thinks you type something when you really dont ... so ill go with T*****t Thanks Again G yoeJ
    -1 points
×
×
  • Create New...